/// <reference types="node" />
import { EventEmitter } from 'events';
import { LogEvent, LogLevel, LogSource } from '../common/LogTypes';
export interface LogEmitter {
}
export declare class LogManager extends EventEmitter {
    private events;
    static Events: {
        Log: string;
    };
    private idGenerator;
    constructor();
    log(msg: string, level: LogLevel, source: LogSource): void;
    getAll(): LogEvent[];
}
